import { OnChanges, ViewContainerRef } from '@angular/core';
import { QRCodeErrorCorrectionLevel } from '@mintplayer/qr-code';
import { RgbaColor } from '../../types/rgba-color';
import * as i0 from "@angular/core";
export declare class QrCodeDirective implements OnChanges {
    private viewContainerRef;
    constructor(viewContainerRef: ViewContainerRef);
    static readonly VALID_COLOR_REGEX: RegExp;
    static readonly DEFAULT_ERROR_CORRECTION_LEVEL: QRCodeErrorCorrectionLevel;
    static readonly DEFAULT_CENTER_IMAGE_SIZE = 40;
    value: string;
    private version;
    set qrCodeVersion(value: number | null);
    width?: number;
    height?: number;
    darkColor?: RgbaColor;
    lightColor?: RgbaColor;
    errorCorrectionLevel?: QRCodeErrorCorrectionLevel;
    centerImageSrc?: string;
    centerImageWidth?: number | string;
    centerImageHeight?: number | string;
    margin?: number | undefined;
    private centerImage?;
    ngOnChanges(): Promise<void>;
    private getIntOrDefault;
    static ɵfac: i0.ɵɵFactoryDeclaration<QrCodeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QrCodeDirective, "canvas[qrCode]", never, { "value": { "alias": "qrCode"; "required": false; }; "qrCodeVersion": { "alias": "qrCodeVersion"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "darkColor": { "alias": "darkColor"; "required": false; }; "lightColor": { "alias": "lightColor"; "required": false; }; "errorCorrectionLevel": { "alias": "qrCodeErrorCorrectionLevel"; "required": false; }; "centerImageSrc": { "alias": "qrCodeCenterImageSrc"; "required": false; }; "centerImageWidth": { "alias": "qrCodeCenterImageWidth"; "required": false; }; "centerImageHeight": { "alias": "qrCodeCenterImageHeight"; "required": false; }; "margin": { "alias": "qrCodeMargin"; "required": false; }; }, {}, never, never, true, never>;
}
